Runtime

## org.eclipse.gmf.runtime.common.ui.services.marker
Class MarkerNavigationService.MarkerNavigationProviderDescriptor

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
              org.eclipse.gmf.runtime.common.ui.services.marker.MarkerNavigationService.MarkerNavigationProviderDescriptor

All Implemented Interfaces:
  java.util.EventListener, IProvider, IProviderChangeListener

Enclosing class:
  MarkerNavigationService

    protected static class MarkerNavigationService.MarkerNavigationProviderDescriptor

extends Service.ProviderDescriptor

Marker Navigation Provider Descriptor.

This class is a descriptor for an `IMarkerNavigationProvider` that is defined by an XML configuration element.

Field Summary
`protected static java.lang.String` `A_NAME` The name of the 'name' XML attribute.
`protected static java.lang.String` `E_MARKER_TYPE` The name of the 'MarkerType' XML element.

Fields inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`A_CLASS, A_PLUGIN, E_POLICY, policy, policyInitialized, provider`

Constructor Summary
`protected` `MarkerNavigationService.MarkerNavigationProviderDescriptor(IConfigurationElement element)` Constructs a `IMarkerNavigationProvider` descriptor for the specified configuration element.

Method Summary
`boolean` `provides(IOperation operation)` Determine if the corresponding provider accepts the operation.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.Service.ProviderDescriptor
`getElement, getPolicy, getProvider, providerChanged, toString`

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Field Detail

### A_NAME

    protected static final java.lang.String A_NAME

  The name of the 'name' XML attribute.

  See Also:
    Constant Field Values

### E_MARKER_TYPE

    protected static final java.lang.String E_MARKER_TYPE

  The name of the 'MarkerType' XML element.

  See Also:
    Constant Field Values

Constructor Detail

### MarkerNavigationService.MarkerNavigationProviderDescriptor

    protected MarkerNavigationService.MarkerNavigationProviderDescriptor(IConfigurationElement element)

  Constructs a `IMarkerNavigationProvider` descriptor for the specified configuration element.

  The configuration element is examined to obtain the list of marker types that are supported by the corresponding provider.

  Parameters:
    `element` - The configuration element describing the provider.

Method Detail

### provides

    public boolean provides(IOperation operation)

  Determine if the corresponding provider accepts the operation. Providers are trivially rejected if they do not support the associated marker type. However, even if the marker type is supported, the provider can reject the given operation.

  Specified by:
    `provides` in interface `IProvider`
  Overrides:
    `provides` in class `Service.ProviderDescriptor`
  Parameters:
    `operation` - The operation in question.
  Returns:
    `true` if this descriptor's policy or provider provides the operation; `false` otherwise.
  See Also:
    `IProvider.provides(org.eclipse.gmf.runtime.common.core.service.IOperation)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.